<?php
/** @var \Amasty\AdvancedReview\Block\Images $block */
$collection = $block->getCollection();
$backUrl = $this->getBackUrl();
// phpcs:ignoreFile
?>
<?php $mediaUrl = $this->helper('Newsroom\Common\Helper\Data')->getMediaUrl(); ?>

<div class="container">
  <?php echo $this->getLayout()->createBlock("Magento\Framework\View\Element\Template")->setTemplate("Newsroom_Common::content.phtml")->toHtml();?>

<div class="newsroom-items">
<div class="landing-categories">    
  <div  class="items-head resources">    
    <h2 class="back"><a href="<?= $block->escapeHtmlAttr('javascript:history.back()') ?>"><span>&nbsp;</span>Back</a></h2>
  </div>
    <ol class="products product-list-masonry-change-product list items product-items row row-col-lg-3">
        <?php foreach ($collection as $item) : ?>    

           
      <li class=" item product product-item-masonry product-item-info product-item col-sm-3 first-row-item first-sm-item first-xs-item enable" style="">
        <div class="product-col images">
          <div class="product-top">
                <img class="img-responsive"> src="<?php echo $mediaUrl . $item->getImages(); ?>"> 
                  <div >
                    <span class="logo-text"><?php echo basename($item->getImages()); ?> <a href="<?php echo $this->getUrl('presskit/index/downloadimage',['image_id' => $item->getImageId()]); ?>" class="" target="_blank"><i class="fa fa-download"></i></a></span>
                  </div>


          </div>
        </div>
      </li>
      
        <?php endforeach ?>
    </ol>

</div>
</div>
</div>
<script type="text/javascript">
    requirejs([
        'require',
        'jquery',
        'mgs/isotope'
    ], function( require, $, Isotope ) {
        require( [ 'bridget' ], function( jQueryBridget ) {
            jQueryBridget( 'isotope', Isotope, $ );
            $(window).load(function() {
                var container = $('.landing-categories--grid').isotope({
                    itemSelector: '.landing-masonry-item',
                    percentPosition: true,
                    masonry: {
                        columnWidth: '.landing-masonry-item'
                    }
                });
            });
        });
    });
</script>
